.giallo-l {
  display: inline-block;
  min-height: 1lh;
  width: 100%;
}

.giallo-ln {
  user-select: none;
  display: inline-block;
  margin-right: 0.5em;
  /* T R B L */
  padding: .1rem 0 .1rem 0;
  min-width: 3ch;
  text-align: right;
  opacity: 0.8;
}

.giallo-anchor {
  border: none;
  pointer-events: auto;
}

.giallo-l:has(a.giallo-anchor:hover) {
  box-shadow: inset 0 -2px 0 0 #89B4FA;
}

.giallo-l:target {
  /* hardcoded color that matches both dark and light theme (workaround) */
  outline: 2px solid #89B4FA;
  outline-offset: -2px; /* Pulls the outline slightly inward so it doesn't clip outside the pre block */
  border-radius: 3px;   /* softens the corners */
  display: inline-block;
  width: 100%;
}
